<template>
  <q-page class="no-scroll">
    <div class="row">
      <div class="col-2">
        <div class="row q-ml-xl q-pt-xl text-uppercase">
          <div class="col-12 column font-regular text-subtitle1 spacing q-gutter-y-xl">
            <div :class="{'font-demi' : tab === 'blog'}"  class="cursor-pointer" @click="view = true, tab = 'blog'">Блог</div>
            <div :class="{'font-demi' : tab === 'portfolio'}"  class="cursor-pointer" @click="view = true, tab = 'portfolio'">Портфолио</div>
            <div :class="{'font-demi' : tab === 'articles'}"  class="cursor-pointer" @click="view = true, tab = 'articles'">Статьи</div>
            <div :class="{'font-demi' : tab === 'reviews'}"  class="cursor-pointer" @click="view = true, tab = 'reviews'">Отзывы</div>
            <div :class="{'font-demi' : tab === 'like'}"  class="cursor-pointer" @click="view = true, tab = 'like'">Избранное</div>
            <div v-if="userId === 2" :class="{'font-demi' : tab === 'requests'}" class="cursor-pointer" @click="view = true, tab = 'requests'">Заявки</div>
            <div v-else :class="{'font-demi' : tab === 'modal-requests'}" class="cursor-pointer" @click="view = true, tab = 'modal-requests', show = true ">Кинуть заявку</div>
          </div>
        </div>
      </div>
      <div  class="col-10 q-my-xl" v-if="tab === 'blog'">
        <div style="height: 241px" class="row q-my-xl flex justify-center">
          <div class="q-mr-xl about font-regular q-gutter-y-lg column flex justify-end">
            <div>{{photographers[marker].last_name}} <br/> {{photographers[marker].first_name}}</div>
            <div>{{photographers[marker].status}}</div>
            <div>{{photographers[marker].phone}}</div>
            <div>{{photographers[marker].email}}</div>
          </div>
          <div class="col-3 flex justify-center">
            <q-img class="" :src="photographers[marker].pic"/>
          </div>
          <div class="col-4 q-ml-xl ">
            <div class="description q-my-xl row">
              <div class="flex justify-start" style="height: 60px; z-index: 2; top: -20px; left: -20px; width: 60px; position: relative;">
                <q-img src="../statics/images/quote 1.png"></q-img>
              </div>
              <div style="top: -22px;  position: relative;">
                {{photographers[marker].desc}}
              </div>
            </div>
          </div>
        </div>
      </div>
      <div  class="col-10 q-my-xs" v-if="tab === 'portfolio'">
        <div style="height: 241px" class="row flex justify-center">
          <div class="col-4">
            <q-img src="../statics/images/Rectangle 9.png"/>
          </div>
          <div class="col-4">
            <q-img src="../statics/images/Rectangle 10.png"/>
          </div>
          <div class="col-4">
            <q-img src="../statics/images/Rectangle 11.png"/>
          </div>
        </div>
        <div style="height: 241px" class="row q-my-md flex justify-center">
          <div class="col-4">
            <q-img src="../statics/images/Rectangle 12 (1).png"/>
          </div>
          <div class="col-4">
            <q-img src="../statics/images/Rectangle 13.png"/>
          </div>
          <div class="col-4">
            <q-img src="../statics/images/Rectangle 14.png"/>
          </div>
        </div>
      </div>
      <div  class="col-10 q-my-lg" v-if="tab === 'articles'">
        <div class="q-mx-md row q-col-qutter-x-md">
          <div class="col-4">
            <div class="bord">
              <q-card-section style="height: 170px">
                <div class="card-title q-my-xl">Фотоохота и техника</div>
              </q-card-section>
               <b><q-separator inset /></b>
              <q-card-section style="height: 300px">
                <div class="q-my-lg font-regular text-subtitle1 spacing card-text">
                  Что такое фотоохота и какая техника для этого нужна – всё это узнаете в этой статье!
                </div>
              </q-card-section>
            </div>
          </div>
          <div class="col-4">
            <div class="bord">
              <q-card-section style="height: 170px">
                <div class="card-title q-my-xl q-mt-md flex justify-center">Шахматы</div>
              </q-card-section>
              <b><q-separator inset /></b>
              <q-card-section style="height: 300px">
                <div class="q-my-lg font-regular text-subtitle1 spacing card-text">
                  ШАХМАТЫ – ЭТО ОДНА ИЗ САМЫХ НЕОБЫЧНЫХ СЪЁМОК. Почему? читайте!
                </div>
              </q-card-section>
            </div>
          </div>
          <div class="col-4">
            <div class="bord">
              <q-card-section class="" style="height: 170px">
                <div class="card-title q-my-xl">Хоккей и его особенности</div>
              </q-card-section>
              <b><q-separator inset /></b>
              <q-card-section style="height: 300px">
                <div class="q-my-lg font-regular text-subtitle1 spacing card-text">
                  Никому не секрет, что хоккей – быстрый и интенсивный спорт. Как же успеть за игроками?
                </div>
              </q-card-section>
            </div>
          </div>
        </div>
      </div>
      <modal-request v-if="show" @closeModal="show = false, tab = 'blog'"/>
      <div class="col-10" v-if="tab === 'requests'">
        <div class="row q-ma-xs q-col-gutter-md" >
          <div class="col-3" v-for="(request, index) in requests" :key="index">
            <card-request :request="request" />
          </div>
        </div>
      </div>
    </div>
  </q-page>
</template>

<script>
import { mapGetters, mapActions } from 'vuex'
import modalRequest from '../components/ModalRequest.vue'
import cardRequest from '../components/Request.vue'
export default {
  name: 'Profiles',
  components: {
    modalRequest,
    cardRequest
  },
  data () {
    return {
      tab: 'blog',
      show: false,
      view: true,
      requests: [
        { first_name: 'Кирилл', last_name: 'Устинов', pic: '../statics/images/Ellipse 12.png', target: 'Фотография на альбом' },
        { first_name: 'Марина', last_name: 'Рохманюк', pic: '../statics/images/Ellipse 12 (1).png', target: 'Свободная фотосессия' },
        { first_name: 'Андрей', last_name: 'Пятницын', pic: '../statics/images/Ellipse 12 (2).png', target: 'Фотоотчёт концерта' },
        { first_name: 'Денис', last_name: 'Липкович', pic: '../statics/images/Ellipse 12 (3).png', target: 'Фотоотчёт школы по программированию' }
      ],
      photographers: [
        { first_name: 'Александра', last_name: 'Доля', status: 'фотограф', email: 'dolya@mail.ru', phone: '+7(911)997-70-07', pic: '../statics/images/Ellipse 11.png', desc: 'Внутри меня полный баланс любви и справедливости.' },
        { first_name: 'Агафонова', last_name: 'Анна', status: 'модель', email: 'Agof@yandex.rU', phone: '+7(935)367-85-17', pic: '../statics/images/Ellipse 11 (1).png', desc: 'Сказка вокруг наших дел' }
      ]
    }
  },
  computed: {
    ...mapGetters({
      profiles: 'auth/user/profiles',
      userId: 'auth/auth/userId'
    }),
    marker: function () {
      return this.$route.params.id - 1
    }
  },
  methods: {
    ...mapActions({
      getProfiles: 'auth/user/getUsers'
    }),
    showM () {
      this.show = true
    }
  },
  mounted () {
  }
}
</script>
<style>
  .about {
    font-style: normal;
    font-weight: 800;
    font-size: 16px;
    text-align: right;
    letter-spacing: 0.2em;
    text-indent: 10px;
    text-transform: uppercase;
    color: #000000;
  }
  .description {
    background: #F9F9F9;
    height: 190px;
    font-weight: normal;
    font-size: 20px;
    line-height: 27px;
    text-align: center;
    letter-spacing: 0.2em;
    text-indent: 10px;
    text-transform: uppercase;
    color: #1f1f1f;
  }
  .bord {
    box-shadow: 0px 11px 23px rgba(0, 0, 0, 0.15);
  }
  .card-title {
    font-weight: 600;
    font-size: 24px;
    line-height: 26px;
    display: flex;
    align-items: center;
    text-align: center;
    letter-spacing: 0.2em;
    text-indent: 10px;
    text-transform: uppercase;

    color: #000000;
  }
  .card-text {
    font-size: 20px;
    line-height: 28px;
    display: flex;
    align-items: center;
    text-align: center;
    letter-spacing: 0.2em;
    text-indent: 10px;
    text-transform: uppercase;

    color: #000000;
  }
</style>
